/*****************************************************************************
 *
 *  DalData.cc                                  XMM Science Analysis Subsystem
 *
 *  Miscellaneous functions on Dal data types
 *
 *  (c) 1999  ESA  -  Written by Jon Brumfitt, Aurora
 *
 *  $Id: DalData.cc,v 1.2 1999/11/04 17:01:12 jbrumfit Exp $
 *
 *****************************************************************************/

#include "DalData.h"


//================================================================
//  Class DalData
//
//  Miscellaneous functions on Dal data types
//================================================================

char* DalData::dataTypeName(Dal::DataType dt)
{
    switch(dt)
    {
    case Dal::Bool:
        return "Bool";
	    
    case Dal::Int8:
        return "Int8";

    case Dal::Int16:
        return "Int16";

    case Dal::Int32:
        return "Int32";
	    
    case Dal::Real32:
        return "Real32";
	    
    case Dal::Real64:
        return "Real64";

    case Dal::DString:
        return "DString";

    case Dal::Uint16:
        return "Uint16";

    case Dal::Uint32:
        return "Uint32";

    default:
        return "";
    }
}

char* DalData::cellTypeName(Column::CellType ct)
{
    switch(ct)
    {
    case Column::Fixed:
        return "fixed";
	
    case Column::Variable:
      return "variable";

    default:
        return "";
    }
}
