// -*-C++-*-
//
// File:      DalListViewAnyFile.cc
// Author:    Jorgo Bakker (jbakker@astro.estec.esa.nl)
// Generated: Tue Jul 25 13:21:17 MET DST 2000

#include "DalListViewAnyFile.h"
#include "DalListViewFolder.h"
#include "IconLibrary.h"

#include <qpixmap.h>

#include <iostream>

static const QPixmap* FileAnyXpm=0;

DalListViewAnyFile::DalListViewAnyFile(AnyFile* anyFile,
			   DalListViewFolder* parent,
			   const char* name)
  : DalListViewItem(parent,name),_anyFile(anyFile)
{
  _init();
}

DalListViewAnyFile::DalListViewAnyFile(AnyFile* anyFile,
			   QListView* parent,
			   const char* name)
  :DalListViewItem(parent,name),_anyFile(anyFile)
{
  _init();
}

DalListViewItem* DalListViewAnyFile::clone(QListView* parent)
{
  return new DalListViewAnyFile(_anyFile,parent,"Cloned");
}

void DalListViewAnyFile::_init()
{
  if (!FileAnyXpm) FileAnyXpm=&IconLibrary::instance()->icon("FileAny.xpm");

  setText(0,_anyFile->name());
  setPixmap(0,*FileAnyXpm);
  setText(1,"File");
}

DalListViewAnyFile::~DalListViewAnyFile()
{
}


QString DalListViewAnyFile::qualifiedName()
{  
  return QString(_anyFile->qualifiedName());
}


