// -*-C++-*-
//
// File:      DalListViewArray.cc
// Author:    Jorgo Bakker (jbakker@astro.estec.esa.nl)
// Generated: Tue Jul 25 13:21:17 MET DST 2000

#include "DalListViewArray.h"
#include "DalListViewDataSet.h"
#include "DalListViewColumn.h"
#include "IconLibrary.h"

#include <Dal.h>

#include <qpixmap.h>

#include <iostream>

static const QPixmap* ArrayXpm=0;

DalListViewArray::DalListViewArray(Array* array,
				   DalListViewDataSet* parent,
				   const char* name)
  : DalListViewAttributable(array,parent,name),_array(array)
{
  _init();
}

DalListViewArray::DalListViewArray(Array* array,
				   QListView* parent,
				   const char* name)
  : DalListViewAttributable(array,parent,name),_array(array)
{
  _init();
}

DalListViewItem* DalListViewArray::clone(QListView* parent)
{
  return new DalListViewArray(_array,parent,"Cloned");
}

void DalListViewArray::_init()
{
  if (!ArrayXpm) ArrayXpm=&IconLibrary::instance()->icon("Array.xpm");

  QString txt(_array->name().c_str());
  setText(0,txt);
  setPixmap(0,*ArrayXpm);
  setText(1,"Array");
}

DalListViewArray::~DalListViewArray()
{
}

QString DalListViewArray::qualifiedName()
{
  return QString(_array->qualifiedName().c_str());
}
