// -*-C++-*-
//
// File:      DalListViewColumn.h
// Author:    Jorgo Bakker (jbakker@astro.estec.esa.nl)
// Generated: Tue Jul 25 11:33:58 MET DST 2000

#ifndef DalListViewColumn_h
#define DalListViewColumn_h

#include "DalListViewAttributable.h"
#include "Folder.h"

class Column;
class DalListViewTable;
/*
  Folder as shown in a Qt ListView
 */
class DalListViewColumn : public DalListViewAttributable
{
  //Q_OBJECT
public:
  DalListViewColumn(Column*,DalListViewTable* parent=0, const char* name=0);
  DalListViewColumn(Column*,QListView*      parent=0, const char* name=0);
  virtual ~DalListViewColumn();

  virtual DalListViewItem* clone(QListView*);
  virtual void setOpen( bool ) {} // not expandable

  virtual QString qualifiedName();
  void openChildren(QListView*){} // no Children

  Column* column() {return _column;}
  Type type() {return ColumnType;}

private:
  // member functions
  DalListViewColumn(const DalListViewColumn&);      // copy constructor (disabled)
  DalListViewColumn& operator=(const DalListViewColumn&); // assignment (disabled)
  void _init();

  // member data
  Column*          _column;
};



#endif
