// -*-C++-*-
//
// File:      DalListViewFolder.h
// Author:    Jorgo Bakker (jbakker@astro.estec.esa.nl)
// Generated: Tue Jul 25 11:33:58 MET DST 2000

#ifndef DalListViewDataSet_h
#define DalListViewDataSet_h
#include "DalListViewAttributable.h"
#include "Folder.h"

class DataSetFile;
class DataSet;
class DalListViewFolder;
/*
  Folder as shown in a Qt ListView
 */
class DalListViewDataSet : public DalListViewAttributable
{
  //Q_OBJECT
public:
  DalListViewDataSet(DataSetFile*,DalListViewFolder* parent=0,
		     const char* name=0);
  DalListViewDataSet(DataSetFile*,QListView*      parent=0,
		     const char* name=0);
  virtual ~DalListViewDataSet();

  virtual DalListViewItem* clone(QListView*);
  virtual void setOpen( bool );
  virtual void setup();

  virtual QString qualifiedName();
  virtual void openChildren(QListView*);

  DataSet* dataSet();
  Type     type() {return DataSetType;}

private:
  // member functions
  DalListViewDataSet(const DalListViewDataSet&);      // copy constructor (disabled)
  DalListViewDataSet& operator=(const DalListViewDataSet&); // assignment (disabled)
  void _init();


  // member data
  DataSetFile*        _dataSetFile;
  DalListViewFolder* _parent;
};



#endif
