// -*-C++-*-
//
// File:      DalListViewItem.cc
// Author:    Jorgo Bakker (jbakker@astro.estec.esa.nl)
// Generated: Tue Jul 25 13:21:17 MET DST 2000

#include "DalListViewItem.h"
#include <iostream>

DalListViewItem::DalListViewItem(DalListViewItem* parent,const char* name) :
  QListViewItem(parent,name)
{
}

DalListViewItem::DalListViewItem(QListView* parent,const char* name) :
  QListViewItem(parent,name)
{
}

DalListViewItem::~DalListViewItem()
{
}

DalListViewItem* DalListViewItem::open(const QString& n)
{
  setOpen(true);
  DalListViewItem* i=firstChild();

  while (i) {
    QString cur=i->qualifiedName();
    if (cur == n) return i; // full match

    /* possible child deduction */
    if (n.find(cur) != -1) {
      QChar c=n.at(cur.length());
      if (c == "%" || c == "/" || c == ":") {
	DalListViewItem* chld=i->open(n);
	return (chld?chld:i); // return child or current if not possible
      }
    }

    /* */
    if (cur.find(n) != -1) return i;
    i=i->nextSibling();
  }
  return (DalListViewItem*)0;
}

DalListViewItem* DalListViewItem::firstChild()
{
  return convert(QListViewItem::firstChild());
}

DalListViewItem* DalListViewItem::nextSibling()
{
  return convert(QListViewItem::nextSibling());
}

DalListViewItem* DalListViewItem::parent() const
{
  return convert(QListViewItem::parent());
}

DalListViewItem* DalListViewItem::itemAbove()
{
  return convert(QListViewItem::itemAbove());
}

DalListViewItem* DalListViewItem::itemBelow()
{
  return convert(QListViewItem::itemBelow());
}
 
DalListViewItem* DalListViewItem::convert(QListViewItem* i) const
{
  return dynamic_cast<DalListViewItem*>(i);
}

