// -*-C++-*-
//
// File:      DalListViewFolder.h
// Author:    Jorgo Bakker (jbakker@astro.estec.esa.nl)
// Generated: Tue Jul 25 11:33:58 MET DST 2000

#ifndef DalListViewTable_h
#define DalListViewTable_h

#include "DalListViewAttributable.h"
#include "Folder.h"

class Table;
class DalListViewDataSet;
/*
  Folder as shown in a Qt ListView
 */
class DalListViewTable : public DalListViewAttributable
{
  //Q_OBJECT
public:
  DalListViewTable(Table*,DalListViewDataSet* parent=0, const char* name=0);
  DalListViewTable(Table*,QListView*      parent=0, const char* name=0);
  virtual ~DalListViewTable();

  virtual DalListViewItem* clone(QListView*);
  virtual void setOpen( bool );
  virtual void setup();

  virtual QString qualifiedName();
  virtual void openChildren(QListView*);

  Table* table() {return _table;}
  Type   type()  {return TableType;}

private:
  // member functions
  DalListViewTable(const DalListViewTable&);      // copy constructor (disabled)
  DalListViewTable& operator=(const DalListViewTable&); // assignment (disabled)
  void _init();

  // member data
  Table*          _table;
};



#endif
