// -*-C++-*-
//
// File:      DalSelectionView.h
// Author:    Jorgo Bakker (jbakker@astro.estec.esa.nl)
// Generated: Mon Aug  7 15:51:41 MET DST 2000

#ifndef DalSelectionView_h
#define DalSelectionView_h
#include <qwidget.h>
#include <qstringlist.h>

class DalListViewItem;
class QPushButton;
class QListView;

class DalSelectionView : public QWidget
{
  Q_OBJECT
public:
  DalSelectionView(QWidget* parent=0, const char* name=0);
  virtual ~DalSelectionView();

  void setMultiSelection(bool b) {_multi=b;}

  QStringList selection();
signals:
  void filled(bool);

public  slots:
  void add(DalListViewItem*);
  void pop();

private slots:
  void clear();
  void remove();
  void changedSelection();

protected:
  // only derived classes can use these

private:
  // member functions
  DalSelectionView(const DalSelectionView&);            // copy constructor (disabled)
  DalSelectionView& operator=(const DalSelectionView&); // assignment (disabled)

  // member data
  QListView*   _list;
  QPushButton* _delete;
  QPushButton* _clear;

  int          _counter;
  bool         _multi;
};



#endif
