// -*-C++-*-
//
// File:      DalViewArray.cc
// Author:    Jorgo Bakker (jbakker@astro.estec.esa.nl)
// Generated: Fri Aug 11 16:16:19 MET DST 2000

#include "DalViewArray.h"
#include "DalViewArrayContents.h"
#include "DalData.h"

#include <Dal.h>

#include <qlayout.h>
#include <qlabel.h>
#include <qpushbutton.h>

DalViewArray::DalViewArray(Array* c,QWidget* parent, const char* name) : 
  QWidget(parent,name),
  _Array(c),_contents(0),_box(0)
{
  _box=new QHBoxLayout(this,5,5);

  QVBoxLayout* vbox = new QVBoxLayout(_box);

  QString txt;
  txt += "-" + QString::number(c->size()[0]) + " rows\n";
  txt += "-" + QString::number(c->size()[1]) + " columns\n";

  txt += "-";
  txt += DalData::dataTypeName(c->dataType());
  txt += " type\n";

  txt += "-Array " + QString::number(c->blockNumber());
  
  vbox->addWidget(new QLabel(txt,this),AlignLeft);

  vbox->addStretch(1);

  QPushButton* button = new QPushButton("View?",this);
  button->setFixedSize(button->sizeHint());
  vbox->addWidget(button,AlignLeft);
  
  _contents = new DalViewArrayContents(_Array,this);
  _box->addWidget(_contents);

  connect(button,SIGNAL(clicked()),_contents,SLOT(showData()));
}

DalViewArray::~DalViewArray()
{
}
