// -*-C++-*-
//
// File:      DalVisitedWidget.h
// Author:    Jorgo Bakker (jbakker@astro.estec.esa.nl)
// Generated: Tue Aug  8 11:35:57 MET DST 2000

#ifndef DalVisitedWidget_h
#define DalVisitedWidget_h
#include <qcombobox.h>
#include <qlist.h>

class DalListViewItem;
class QToolTip;

/**
   A ComboBox that keeps a history track of all DalListViewItems. It provides
   a tooltip for every item in the list, such that....TODO
 */
class DalVisitedWidget : public QComboBox
{
  Q_OBJECT
public:
  DalVisitedWidget(QWidget* parent=0, const char* name=0);
  virtual ~DalVisitedWidget();

signals:
  void selected(DalListViewItem*);

public  slots:
  void add(DalListViewItem*);

private slots:
  void handle(int);

protected:

private:
  // member functions
  DalVisitedWidget(const DalVisitedWidget&);            // copy constructor (disabled)
  DalVisitedWidget& operator=(const DalVisitedWidget&); // assignment (disabled)

  // member data
  QList<DalListViewItem> _visited;
};



#endif
