// -*-C++-*-
//
// File:      DataSetFile.cc
// Author:    Jorgo Bakker (jbakker@astro.estec.esa.nl)
// Generated: Tue Jul 25 13:40:55 MET DST 2000

#include "DataSetFile.h"
#include "Folder.h"


DataSetFile::DataSetFile(const QString& name,Folder* parent) :
  _name(name),_parent(parent),_dataSet(0)
{
}

DataSetFile::~DataSetFile()
{
  if (_dataSet) dataSetServer->close(_dataSet);
}

QString DataSetFile::qualifiedName()
{
  QString s;
  if ( _parent ) {
    s = _parent->qualifiedName();
    s.append( "/" );
    s.append( _name );
    
  } else {
    s = _name;
  }
  return s;
}

DataSet* DataSetFile::dataSet()
{
  if (!_dataSet) _dataSet=dataSetServer->open(qualifiedName().latin1(),
				     DataSet::Read, DataSetServer::HighLow);
  return _dataSet;
}
