/*****************************************************************************
 *
 *  AngleListParamWidget.h                      XMM Science Analysis Subsystem
 *
 *  Widgets for editting angle list parameters
 *
 *  (c) 1999  ESA  -  Written by Jon Brumfitt, Aurora
 *
 *  $Id: AngleListParamWidget.h,v 1.3 1999/12/06 15:26:01 jbrumfit Exp $
 *
 *****************************************************************************/

#ifndef ANGLELISTPARAMWIDGET_H
#define ANGLELISTPARAMWIDGET_H

#include "RealListParamWidget.h"          // Application headers
#include "AngleListParameter.h"
#include "MultiAngleListEdit.h"
#include "ParameterView.h"
#include "AngleFormatter.h"

class QWidget;


//================================================================
//  Class AngleListParamWidget
//================================================================

class AngleListParamWidget : public MultiAngleListEdit, public ParameterView
{
    Q_OBJECT

public:
    AngleListParamWidget(AngleListParameter* par, QWidget* widget);
    ~AngleListParamWidget();

public slots:
    void valueChanged();
    void modeChanged(AngleFormatter::AngleMode mode);

protected:
    void updateView();

private:
    AngleListParameter* _par;
};

#endif
