/*****************************************************************************
 *
 *  AngleParamWidget.h                          XMM Science Analysis Subsystem
 *
 *  Widget for editting angle parameters
 *
 *  (c) 1999  ESA  -  Written by Jon Brumfitt, Aurora
 *
 *  $Id: AngleParamWidget.h,v 1.3 1999/11/26 12:12:25 jbrumfit Exp $
 *
 *****************************************************************************/

#ifndef ANGLEPARAMWIDGET_H
#define ANGLEPARAMWIDGET_H

#include "MultiAngleEdit.h"       // Application headers
#include "ParameterView.h"

class QWidget;
class AngleParameter;


//================================================================
//  Class AngleParamWidget
//================================================================

class AngleParamWidget : public MultiAngleEdit, public ParameterView
{
    Q_OBJECT

public:
    AngleParamWidget(AngleParameter*, QWidget*);
    ~AngleParamWidget();

public slots:
    void valueChanged(double);
    void modeChanged(AngleFormatter::AngleMode mode);

protected:
    void updateView();

private:
    AngleParameter* _par;
};

#endif
