/*****************************************************************************
 *
 *  BoolListParamWidget.cc                      XMM Science Analysis Subsystem
 *
 *  Widgets for editting boolean list parameters
 *
 *  (c) 1998  ESA  -  Written by Jon Brumfitt, Aurora
 *
 *  $Id: BoolListParamWidget.cc,v 1.5 1999/06/29 14:09:36 jbrumfit Exp $
 *
 *****************************************************************************/

#include "BoolListParamWidget.h"  // Application headers
#include "BoolListParameter.h"

#include <iostream.h>            // C++ headers
#include <string>
#include <vector>

#include <qtooltip.h>            // Qt headers


//================================================================
//  Class BoolListParamWidget
//================================================================

BoolListParamWidget::BoolListParamWidget(BoolListParameter* par, QWidget* parent)
  : BoolListEdit(parent)
{
    _par = par;
    string prompt = _par->prompt();

    if(prompt.length()>0)
        QToolTip::add(this,prompt.c_str());

    connect(this, SIGNAL(valueChanged()), this, SLOT(valueChanged()));

    updateView();
}

BoolListParamWidget::~BoolListParamWidget()
{
    _par->deleteView();
}

void BoolListParamWidget::valueChanged()
{
    _par->setValue(value());
}

void BoolListParamWidget::updateView()
{
     setValue(_par->boolListValue());
}
