/*****************************************************************************
 *
 *  BoolParamWidget.cc                          XMM Science Analysis Subsystem
 *
 *  Widget for editting boolean parameters
 *
 *  (c) 1998  ESA  -  Written by Jon Brumfitt, Aurora
 *
 *  $Id: BoolParamWidget.cc,v 1.3 1999/06/29 14:09:37 jbrumfit Exp $
 *
 *****************************************************************************/

#include "BoolParamWidget.h" // Application headers
#include "Parameter.h"
#include "BoolParameter.h"

#include <iostream.h>        // C++ headers
#include <string>

#include <qcheckbox.h>       // Qt headers
#include <qtooltip.h>


//================================================================
//  Class BoolParamWidget
//================================================================

BoolParamWidget::BoolParamWidget(BoolParameter* par, QWidget* parent, 
				 const char* label)
  : QCheckBox(label,parent)
{
    _par = par;
    string prompt = _par->prompt();

    if(prompt.length()>0)
        QToolTip::add(this,prompt.c_str());
    connect(this, SIGNAL(toggled(bool)), this, SLOT(valueChanged(bool)));

    updateView();
}

BoolParamWidget::~BoolParamWidget()
{
    _par->deleteView();
}

void BoolParamWidget::valueChanged(bool value)
{
    _par->setValue(value);
}

void BoolParamWidget::updateView()
{
    setChecked(_par->boolValue());
}

