/*****************************************************************************
 *
 *  PopupBrowserParamListWidget.cc              XMM Science Analysis Subsystem
 *
 *  Base class for parameter ist widgets which pop-up the browser
 *
 *  (c) 1999  ESA  -  Written by Jon Brumfitt, Aurora
 *
 *  $Id: PopupBrowserParamListWidget.cc,v 1.6 2000/09/15 13:41:51 jbakker Exp $
 *
 *****************************************************************************/

#include "PopupBrowserParamListWidget.h"      // Application headers
#include "DataSetBrowser.h"
//#include "StringFns.h"
#include "StringListParameter.h"

#include <iostream.h>                         // C++ headers
#include <string>
#include <vector>
#include <list>


//================================================================
//  Class PopupBrowserParamListWidget
//================================================================

void PopupBrowserParamListWidget::popupDialog()
{
    _dsv = new DataSetBrowser(this);
    _dsv->setMultiSelection(true);
    _dsv->setSelectable(_itype);
    _dsv->setSelection(_par->stringListValue());

    QString theCaption("DataSet Browser: select ");
    theCaption += _par->getTypeName();
    theCaption += " for parameter '";
    theCaption += _par->name().c_str();
    theCaption += "'";
    _dsv->setCaption(theCaption);

    if (_dsv->exec()) {
      vector<string> lst=_dsv->selection();
      if (!lst.empty()) _par->setValue(lst);
    }
    delete _dsv;
}
