/*****************************************************************************
 *
 *  PopupParamListWidget.h                      XMM Science Analysis Subsystem
 *
 *  String-list widget which pops up a browser dialog
 *
 *  (c) 1998  ESA  -  Written by Jon Brumfitt, Aurora
 *
 *  $Id: PopupParamListWidget.h,v 1.3 2000/09/14 13:58:13 jbakker Exp $
 *
 *****************************************************************************/

#ifndef POPUPPARAMLISTWIDGET_H
#define POPUPPARAMLISTWIDGET_H

#include "ParameterView.h"       // Application headers
#include "DalListViewable.h"
#include "StringListEdit.h"

#include <qwidget.h>             // Qt headers

class QButton;
class StringListParameter;


//================================================================
//  Abstract class PopupParamListWidget
//================================================================

class PopupParamListWidget : public QWidget, public ParameterView
{
    Q_OBJECT

public:
    PopupParamListWidget(StringListParameter*, QWidget*);
    ~PopupParamListWidget();
    void setEnabled(bool enable);

public slots:
    void valueChanged();
    virtual void popupDialog() = 0;

protected:
    void    updateView();
    void    resizeEvent(QResizeEvent *);
    void    setValue(const vector<string>& value);

    QPushButton*          _button;
    StringListParameter*  _par;
    DalListViewable::Type _itype;

private:
    StringListEdit* _edit;
};

#endif
