/*****************************************************************************
 *
 *  PopupParamWidget.h                          XMM Science Analysis Subsystem
 *
 *  String widget which pops up a browser dialog
 *
 *  (c) 1998  ESA  -  Written by Jon Brumfitt, Aurora
 *
 *  $Id: PopupParamWidget.h,v 1.8 2000/09/14 13:58:13 jbakker Exp $
 *
 *****************************************************************************/

#ifndef POPUPPARAMWIDGET_H
#define POPUPPARAMWIDGET_H

#include "ParameterView.h"       // Application headers
#include "DalListViewable.h"

#include <qwidget.h>             // Qt headers

class QLineEdit;
class QButton;
class StringParameter;


//================================================================
//  Abstract class PopupParamWidget
//================================================================

class PopupParamWidget : public QWidget, public ParameterView
{
    Q_OBJECT

public:
    PopupParamWidget(StringParameter*, QWidget*);
    ~PopupParamWidget();
    void setEnabled(bool enable);

public slots:
    void valueChanged(const QString&);
    virtual void popupDialog() = 0;

protected:
    void    updateView();
    void    resizeEvent(QResizeEvent *);
    void    setText(const char* string);

    QPushButton*      _button;
    StringParameter*  _par;
    DalListViewable::Type  _itype;

private:
    QLineEdit*        _edit;
};

#endif
