/*****************************************************************************
 *
 *  RealListParamWidget.h                       XMM Science Analysis Subsystem
 *
 *  Widgets for editting real list parameters
 *
 *  (c) 1998  ESA  -  Written by Jon Brumfitt, Aurora
 *
 *  $Id: RealListParamWidget.h,v 1.3 1999/06/29 14:09:45 jbrumfit Exp $
 *
 *****************************************************************************/

#ifndef REALLISTPARAMWIDGET_H
#define REALLISTPARAMWIDGET_H

#include "ParameterView.h"          // Application headers
#include "DoubleListEdit.h"

class QWidget;
class RealListParameter;


//================================================================
//  Class RealListParamWidget
//================================================================

class RealListParamWidget : public DoubleListEdit, public ParameterView
{
    Q_OBJECT

public:
    RealListParamWidget(RealListParameter*, QWidget*);
    ~RealListParamWidget();

public slots:
    void valueChanged();

protected:
    void updateView();

private:
    RealListParameter* _par;
};

#endif
