/*****************************************************************************
 *
 *  SpeciallStringParamWidgets.h                XMM Science Analysis Subsystem
 *
 *  Widgets for various dataset components
 *
 *  (c) 1999  ESA  -  Written by Jon Brumfitt, Aurora
 *
 *  $Id: SpecialStringParamWidgets.h,v 1.3 2000/09/14 13:58:13 jbakker Exp $
 *
 *****************************************************************************/

#ifndef SPECIALSTRINGPARAMWIDGETS_H
#define SPECIALSTRINGPARAMWIDGETS_H

#include "SpecialStringParameters.h"        // Application headers
#include "SpecialStringListParameters.h"
#include "PopupBrowserParamWidget.h"
#include "PopupBrowserParamListWidget.h"

#include <qwidget.h>                        // Qt headers


//================================================================
//  Class DirectoryParamWidget
//================================================================

class DirectoryParamWidget : public PopupBrowserParamWidget
{
    Q_OBJECT

public:
    DirectoryParamWidget(DirectoryParameter* par, QWidget* parent)
      : PopupBrowserParamWidget(par,parent) 
      { _itype=DalListViewable::FolderType; }
};


//================================================================
//  Class DataSetParamWidget
//================================================================

class DataSetParamWidget : public PopupBrowserParamWidget
{
    Q_OBJECT

public:
    DataSetParamWidget(DataSetParameter* par, QWidget* parent)
      : PopupBrowserParamWidget(par,parent) 
      { _itype=DalListViewable::DataSetType; }
};


//================================================================
//  Class BlockParamWidget
//================================================================

class BlockParamWidget : public PopupBrowserParamWidget
{
    Q_OBJECT

public:
    BlockParamWidget(BlockParameter* par, QWidget* parent)
      : PopupBrowserParamWidget(par,parent) 
      {_itype=DalListViewable::BlockType;}
};


//================================================================
//  Class TableParamWidget
//================================================================

class TableParamWidget : public PopupBrowserParamWidget
{
    Q_OBJECT

public:
    TableParamWidget(TableParameter* par, QWidget* parent)
      : PopupBrowserParamWidget(par,parent) 
      {_itype=DalListViewable::TableType;}
};


//================================================================
//  Class ArrayParamWidget
//================================================================

class ArrayParamWidget : public PopupBrowserParamWidget
{
    Q_OBJECT

public:
    ArrayParamWidget(ArrayParameter* par, QWidget* parent)
      : PopupBrowserParamWidget(par,parent) 
      { _itype=DalListViewable::ArrayType; }
};


//================================================================
//  Class ColumnParamWidget
//================================================================

class ColumnParamWidget : public PopupBrowserParamWidget
{
    Q_OBJECT

public:
    ColumnParamWidget(ColumnParameter* par, QWidget* parent)
      : PopupBrowserParamWidget(par,parent) 
      { _itype=DalListViewable::ColumnType;}
};


//================================================================
//  Class DirectoryListParamWidget
//================================================================

class DirectoryListParamWidget : public PopupBrowserParamListWidget
{
    Q_OBJECT

public:
    DirectoryListParamWidget(DirectoryListParameter* par, QWidget* parent)
      : PopupBrowserParamListWidget(par,parent)
      { _itype=DalListViewable::FolderType;}
};


//================================================================
//  Class DataSetListParamWidget
//================================================================

class DataSetListParamWidget : public PopupBrowserParamListWidget
{
    Q_OBJECT

public:
    DataSetListParamWidget(DataSetListParameter* par, QWidget* parent)
      : PopupBrowserParamListWidget(par,parent)
      {_itype=DalListViewable::DataSetType;}
};


//================================================================
//  Class BlockListParamWidget
//================================================================

class BlockListParamWidget : public PopupBrowserParamListWidget
{
    Q_OBJECT

public:
    BlockListParamWidget(BlockListParameter* par, QWidget* parent)
      : PopupBrowserParamListWidget(par,parent)
      {_itype=DalListViewable::BlockType;}
};


//================================================================
//  Class TableListParamWidget
//================================================================

class TableListParamWidget : public PopupBrowserParamListWidget
{
    Q_OBJECT

public:
    TableListParamWidget(TableListParameter* par, QWidget* parent)
      : PopupBrowserParamListWidget(par,parent)
      { _itype=DalListViewable::TableType;}
};


//================================================================
//  Class ArrayListParamWidget
//================================================================

class ArrayListParamWidget : public PopupBrowserParamListWidget
{
    Q_OBJECT

public:
    ArrayListParamWidget(ArrayListParameter* par, QWidget* parent)
      : PopupBrowserParamListWidget(par,parent)
      {_itype=DalListViewable::ArrayType;}
};


//================================================================
//  Class ColumnListParamWidget
//================================================================

class ColumnListParamWidget : public PopupBrowserParamListWidget
{
    Q_OBJECT

public:
    ColumnListParamWidget(ColumnListParameter* par, QWidget* parent)
      : PopupBrowserParamListWidget(par,parent)
      {_itype=DalListViewable::ColumnType;}
};

#endif
