/*****************************************************************************
 *
 *  StringParamWidget.h                         XMM Science Analysis Subsystem
 *
 *  Widget for editting string parameters
 *
 *  (c) 1998  ESA  -  Written by Jon Brumfitt, Aurora
 *
 *  $Id: StringParamWidget.h,v 1.4 1999/08/10 11:03:01 jbrumfit Exp $
 *
 *****************************************************************************/

#ifndef STRINGPARAMWIDGET_H
#define STRINGPARAMWIDGET_H

#include "ParameterView.h"       // Application headers

#include <qlineedit.h>           // Qt headers

class QWidget;
class StringParameter;


//================================================================
//  Class StringParamWidget
//================================================================

class StringParamWidget : public QLineEdit, public ParameterView
{
    Q_OBJECT

public:
    StringParamWidget(StringParameter*, QWidget*);
    ~StringParamWidget();

public slots:
    void valueChanged(const QString&);
    void setText(const QString&);

protected:
    void updateView();

private:
    StringParameter* _par;
};

#endif
