/*****************************************************************************
 *
 *  TabCardWidget.cc                            XMM Science Analysis Subsystem
 *
 *  TabWidget with enabling of children
 *
 *  (c) 1999  ESA  -  Written by Jon Brumfitt, Aurora
 *
 *  $Id: TabCardWidget.cc,v 1.2 2000/07/04 09:32:44 jbakker Exp $
 *
 *****************************************************************************/

#include "TabCardWidget.h"

#include <iostream.h>
#include <qobjectlist.h>
#include <qtabbar.h>


//================================================================
//  Class TabCardWidget
//================================================================

TabCardWidget::TabCardWidget(QWidget* parent, const char* name)
  : QTabWidget(parent, name)
{
    _nTabs = 0;
}

void TabCardWidget::setEnabled(bool enable)
{
     QWidget* current = currentPage();

    if(currentPage())
        currentPage()->setEnabled(enable);

     QTabBar* tb = tabBar();
     for(int i=0; i < _nTabs; i++)
         tb->setTabEnabled(i,enable);
    
    showPage(current);
}

void TabCardWidget::addTab(QWidget* child, const QString& tabName)
{
    // Overridden to count the number of tabs

    _nTabs++;
    //child->setMinimumSize(child->sizeHint());
    QTabWidget::addTab(child, tabName);
}



