/*****************************************************************************
 *
 *  TimeListParamWidget.h                       XMM Science Analysis Subsystem
 *
 *  Widgets for editting time list parameters
 *
 *  (c) 1999  ESA  -  Written by Jon Brumfitt, Aurora
 *
 *  $Id: TimeListParamWidget.h,v 1.2 1999/12/06 15:26:01 jbrumfit Exp $
 *
 *****************************************************************************/

#ifndef TIMELISTPARAMWIDGET_H
#define TIMELISTPARAMWIDGET_H

#include "RealListParamWidget.h"          // Application headers
#include "TimeListParameter.h"
#include "MultiTimeListEdit.h"
#include "ParameterView.h"
#include "TimeFormatter.h"

class QWidget;


//================================================================
//  Class TimeListParamWidget
//================================================================

class TimeListParamWidget : public MultiTimeListEdit, public ParameterView
{
    Q_OBJECT

public:
    TimeListParamWidget(TimeListParameter* par, QWidget* widget);
    ~TimeListParamWidget();

public slots:
    void valueChanged();
    void modeChanged(TimeFormatter::TimeMode mode);

protected:
    void updateView();

private:
    TimeListParameter* _par;
};

#endif
