/*****************************************************************************
 *
 *  AngleEdit.h                                XMM Science Analysis Subsystem
 *
 *  Qt widget for editing angles
 *
 *  (c) 1999 ESA  -  Written by Jon Brumfitt, Aurora
 *
 *  $Id: AngleEdit.h,v 1.4 1999/12/02 10:30:03 jbrumfit Exp $
 *
 *****************************************************************************/

#ifndef ANGLEEDIT_H
#define ANGLEEDIT_H

#include "DoubleEdit.h"
#include "AngleFormatter.h"

#include <qwidget.h>


//================================================================
//  Class AngleEdit
//================================================================

class AngleEdit : public DoubleEdit
{
    Q_OBJECT

public:

    // Constructor
    AngleEdit(QWidget *parent=0, const char *name=0);

    void setMode(AngleFormatter::AngleMode mode);
    AngleFormatter::AngleMode mode() { return _mode; }

    void setTextToValue();

protected:

    // Implement virtual methods
    void setValueToText();
    bool isValid();
    bool isInRange();

private:

    AngleFormatter::AngleMode _mode;
};

#endif
