/*****************************************************************************
 *
 *  AngleListEdit.h                             XMM Science Analysis Subsystem
 *
 *  Qt widget for editing lists
 *
 *  (c) 1999 ESA  -  Written by Jon Brumfitt, Aurora
 *
 *  $Id: AngleListEdit.h,v 1.1 1999/12/01 15:44:09 jbrumfit Exp $
 *
 *****************************************************************************/

#ifndef ANGLELISTEDIT_H
#define ANGLELISTEDIT_H

#include <vector>                // C++ headers
#include <string>

#include "DoubleListEdit.h"      // Application headers
#include "AngleFormatter.h"

#include <qstring.h>


//================================================================
//  Class AngleListEdit
//================================================================

class AngleListEdit : public DoubleListEdit
{
    Q_OBJECT

public:

    // Constructor
    AngleListEdit(QWidget *parent=0, const char *name=0);

    void setMode(AngleFormatter::AngleMode mode);
    AngleFormatter::AngleMode mode() { return _mode; }

protected:

    bool parseItem(const QString& str, double& result);

private:

    // Utility
    void setTextToValue();
    bool isValid();
    bool isInRange();
    bool tokenInRange(const char* str);

    string angleAsString(double angle);

    // Member data
    AngleFormatter::AngleMode _mode;
};

#endif
