/*****************************************************************************
 *
 *  DoubleListEdit.h                            XMM Science Analysis Subsystem
 *
 *  Qt widget for editing lists
 *
 *  (c) 1999 ESA  -  Written by Jon Brumfitt, Aurora
 *
 *  $Id: DoubleListEdit.h,v 1.2 1999/12/01 15:41:58 jbrumfit Exp $
 *
 *****************************************************************************/

#ifndef DOUBLELISTEDIT_H
#define DOUBLELISTEDIT_H

#include <vector>                // C++ headers
#include <string>

#include "ValidatedEdit.h"       // Application headers
#include "RangeConstraint.h"

#include <qstring.h>             // Qt headers


//================================================================
//  Class DoubleListEdit
//================================================================

class DoubleListEdit : public ValidatedEdit, public RangeConstraint<double>
{
    Q_OBJECT

public:

    // Constructor
    DoubleListEdit(QWidget *parent=0, const char *name=0);

    // Accessors
    vector<double> value() const;

public slots:

    void setValue(vector<double>);

signals:

    void valueChanged();

protected:

    void setValueToText();
    virtual bool parseItem(const QString& str, double& result);

    // Member data
    vector<double> _value;

private:

    // Utility
    void setTextToValue();
    bool isValid();
    bool isInRange();
};

#endif


