/*****************************************************************************
 *
 *  IntegerEdit.h                               XMM Science Analysis Subsystem
 *
 *  Qt widget for editing integers
 *
 *  (c) 1999 ESA  -  Written by Jon Brumfitt, Aurora
 *
 *  $Id: IntegerEdit.h,v 1.3 1999/06/29 14:06:36 jbrumfit Exp $
 *
 *****************************************************************************/

#ifndef INTEGEREDIT_H
#define INTEGEREDIT_H

#include <list>                     // C++ headers

#include "ValidatedEdit.h"
#include "RangeConstraint.h"


//================================================================
//  Class IntegerEdit
//================================================================

class IntegerEdit : public ValidatedEdit, public RangeConstraint<int>
{
    Q_OBJECT

public:

    // Constructor
    IntegerEdit(QWidget *parent=0, const char *name=0, int value=0);

    // Accessors
    int value() const;

public slots:

    void setValue(int);

signals:

    void valueChanged(int);

private:

    // Implement virtual methods
    void setTextToValue();
    void setValueToText();
    bool isValid();
    bool isInRange();

    // Member data
    int  _value;
};

#endif


