/*****************************************************************************
 *
 *  IntegerListEdit.h                           XMM Science Analysis Subsystem
 *
 *  Qt widget for editing lists
 *
 *  (c) 1999 ESA  -  Written by Jon Brumfitt, Aurora
 *
 *  $Id: IntegerListEdit.h,v 1.2 1999/07/21 12:15:43 jbrumfit Exp $
 *
 *****************************************************************************/

#ifndef INTEGERLISTEDIT_H
#define INTEGERLISTEDIT_H

#include <vector>                // C++ headers

#include "ValidatedEdit.h"       // Application headers
#include "RangeConstraint.h"
 

//================================================================
//  Class IntegerListEdit
//================================================================

class IntegerListEdit : public ValidatedEdit, public RangeConstraint<int>
{
    Q_OBJECT

public:

    // Constructor
    IntegerListEdit(QWidget *parent=0, const char *name=0);

    // Accessors
    vector<int> value() const;

public slots:

    void setValue(vector<int>);

signals:

    void valueChanged();

private:

    // Utility
    void setTextToValue();
    void setValueToText();
    bool isValid();
    bool isInRange();

    // Member data
    vector<int>  _value;
};

#endif


