/*****************************************************************************
 *
 *  LineBuffer.cc                               XMM Science Analysis Subsystem
 *
 *  FIFO buffer for line-buffering text
 *
 *  (c) 1999 ESA  -  Written by Jon Brumfitt, Aurora
 *
 *  $Id: LineBuffer.cc,v 1.1 1999/10/18 07:47:03 jbrumfit Exp $
 *
 *****************************************************************************/

#include "LineBuffer.h"           // Application headers

#include <iostream.h>             // C++ headers


//================================================================
//  Class LineBuffer
//
//  This simple implementation uses a string as the buffer.
//================================================================

void LineBuffer::append(const char* s)
{
    _buffer += s;

    string::size_type pos;
    pos = _buffer.find("\n");
    
    while (pos != string::npos)
    {
	emit line(_buffer.substr(0,pos).c_str());

	_buffer.replace(0,pos+1,"");
	pos = _buffer.find("\n");
    }
}

void LineBuffer::flush()
{
    if(_buffer.length() > 0)
        emit line(_buffer.c_str());
}

