/*****************************************************************************
 *
 *  MultiAngleListEdit.h                        XMM Science Analysis Subsystem
 *
 *  Qt widget for editing angles, with button to choose mode
 *
 *  (c) 1999 ESA  -  Written by Jon Brumfitt, Aurora
 *
 *  $Id: MultiAngleListEdit.h,v 1.2 2000/07/04 09:32:44 jbakker Exp $
 *
 *****************************************************************************/

#ifndef MULTIANGLELISTEDIT_H
#define MULTIANGLELISTEDIT_H

#include <vector>

#include <qwidget.h>

#include "AngleListEdit.h"
#include "AngleFormatter.h"


//================================================================
//  Class MultiAngleListEdit
//================================================================
class QComboBox;

class MultiAngleListEdit : public QWidget
{
    Q_OBJECT

public:

    // Constructor
    MultiAngleListEdit(QWidget *parent=0, const char *name=0);
    ~MultiAngleListEdit();

    // Accessors
    vector<double> value() const;

    // Constraints
    void setMin(double min) { _angleEdit->setMin(min); }
    void setMax(double max) { _angleEdit->setMax(max); }
    void setRange(double min, double max) {_angleEdit->setRange(min,max); }
    double min() const { return _angleEdit->min(); }
    double max() const { return _angleEdit->max(); }

public slots:
    void setValue(vector<double> angle);
    void setEnabled(bool enabled);
    void setMode(AngleFormatter::AngleMode mode);

signals:
    void valueChanged();
    void modeChanged(AngleFormatter::AngleMode mode);

private slots:
    void activateMode(int);

private:
    AngleListEdit*   _angleEdit;
    QComboBox*    _combo;
};

#endif
