/*****************************************************************************
 *
 *  MultiTimeEdit.h                            XMM Science Analysis Subsystem
 *
 *  Qt widget for editing Times, with button to choose mode
 *
 *  (c) 1999 ESA  -  Written by Jon Brumfitt, Aurora
 *
 *  $Id: MultiTimeEdit.h,v 1.3 2000/07/04 09:32:45 jbakker Exp $
 *
 *****************************************************************************/

#ifndef MULTITIMEEDIT_H
#define MULTITIMEEDIT_H

#include <qwidget.h>

#include "TimeEdit.h"
#include "TimeFormatter.h"


//================================================================
//  Class MultiTimeEdit
//================================================================
class QComboBox;
class MultiTimeEdit : public QWidget
{
    Q_OBJECT

public:

    // Constructor
    MultiTimeEdit(QWidget *parent=0, const char *name=0);
    ~MultiTimeEdit();

    // Accessors
    double value() const;

    // Constraints
    void setMin(double min) { _timeEdit->setMin(min); }
    void setMax(double max) { _timeEdit->setMax(max); }
    void setRange(double min, double max) {_timeEdit->setRange(min,max); }
    double min() const { return _timeEdit->min(); }
    double max() const { return _timeEdit->max(); }

public slots:
    void setValue(double Time);
    void setEnabled(bool enabled);
    void setMode(TimeFormatter::TimeMode mode);

signals:
    void valueChanged(double);
    void modeChanged(TimeFormatter::TimeMode mode);

private slots:
    void activateMode(int);

private:
    TimeEdit*    _timeEdit;
    QComboBox*   _combo;
};

#endif
