/*****************************************************************************
 *
 *  StringListEdit.h                            XMM Science Analysis Subsystem
 *
 *  Qt widget for editing lists
 *
 *  (c) 1999 ESA  -  Written by Jon Brumfitt, Aurora
 *
 *  $Id: StringListEdit.h,v 1.1 1999/06/24 09:24:35 jbrumfit Exp $
 *
 *****************************************************************************/

#ifndef STRINGLISTEDIT_H
#define STRINGLISTEDIT_H

#include <vector>                // C++ headers
#include <string>

#include "ValidatedEdit.h"       // Application headers
#include "SetConstraint.h"


//================================================================
//  Class StringListEdit
//================================================================

class StringListEdit : public ValidatedEdit, public SetConstraint<string>
{
    Q_OBJECT

public:

    // Constructor
    StringListEdit(QWidget *parent=0, const char *name=0);

    // Accessors
    vector<string> value() const;

public slots:

    void setValue(vector<string>);

signals:

    void valueChanged();

private:

    // Utility
    void setTextToValue();
    void setValueToText();
    bool isValid();
    bool isInRange();

    // Member data
    vector<string> _value;
};

#endif


