/*****************************************************************************
 *
 *  TimeEdit.h                                 XMM Science Analysis Subsystem
 *
 *  Qt widget for editing times
 *
 *  (c) 1999 ESA  -  Written by Jon Brumfitt, Aurora
 *
 *  $Id: TimeEdit.h,v 1.1 1999/12/02 10:30:03 jbrumfit Exp $
 *
 *****************************************************************************/

#ifndef TIMEEDIT_H
#define TIMEEDIT_H

#include "DoubleEdit.h"
#include "TimeFormatter.h"

#include <qwidget.h>


//================================================================
//  Class TimeEdit
//================================================================

class TimeEdit : public DoubleEdit
{
    Q_OBJECT

public:

    // Constructor
    TimeEdit(QWidget *parent=0, const char *name=0);

    void setMode(TimeFormatter::TimeMode mode);
    TimeFormatter::TimeMode mode() { return _mode; }

    void setTextToValue();

protected:

    // Implement virtual methods
    void setValueToText();
    bool isValid();
    bool isInRange();

private:

    TimeFormatter::TimeMode _mode;
};

#endif
