/****************************************************************************
 *
 *  testOnDemandScrollView.cc                  XMM Science Analysis Subsystem
 *
 *  Test harness for OnDemandScrollView widget
 *
 *  (c) 1999  ESA  -  Written by Jon Brumfitt, Aurora
 *
 *  $Id: testOnDemandScrollView.cc,v 1.1 1999/07/20 08:09:21 jbrumfit Exp $
 *
 *****************************************************************************/

#include "OnDemandScrollView.h"      // Application headers
#include "testOnDemandScrollView.h"

#include <iostream.h>                // C++ headers

#include <qapplication.h>            // Qt headers
#include <qpushbutton.h>
#include <qlayout.h>
#include <qlabel.h>


//================================================================
//  Class MyWindow
//================================================================

MyWindow::MyWindow(QWidget *parent, const char *name)
    : QWidget(parent, name)
{
     OnDemandScrollView* scroller = new OnDemandScrollView(this);
     scroller->setFrameStyle(QFrame::Box|QFrame::Raised);
     scroller->setMaximumPreferredSize(200,200);
     
#if( 1  )
     QLabel* contents = new QLabel(
	 "hello world, this is me\none\ntwo\nthree\nfour?", 
	 scroller->viewport());
     contents->setMargin(10);
     contents->adjustSize();
#else     
     QWidget* contents = new QWidget(this);
     QVBoxLayout* box = new QVBoxLayout(contents,10);
     QPushButton* b1 = new QPushButton("hello",contents);
     box->addWidget(b1);
     QPushButton* b2 = new QPushButton("world",contents);
     box->addWidget(b2);
#endif

     scroller->setContents(contents);
     
     QBoxLayout* vbox = new QVBoxLayout(this,10);
     vbox->addWidget(scroller,0);
     adjustSize();
}


//================================================================
//  Main program
//================================================================

int main(int argc, char **argv)
{
    QApplication app(argc, argv);
    MyWindow mainWidget;
    app.setMainWidget(&mainWidget);
    mainWidget.show();
    return app.exec();
}
