/****************************************************************************
 *
 *  testValidatedEdit.h                        XMM Science Analysis Subsystem
 *
 *  Test program for ValidatedEdit widget
 *
 *  (c) 1999  ESA  -  Written by Jon Brumfitt, Aurora
 *
 *  $Id: testValidatedEdit.h,v 1.4 1999/12/01 15:41:58 jbrumfit Exp $
 *
 *****************************************************************************/

#ifndef TESTVALIDATEDEDIT_H
#define TESTVALIDATEDEDIT_H

#include "IntegerEdit.h"
#include "IntegerListEdit.h"
#include "DoubleEdit.h"
#include "DoubleListEdit.h"
#include "StringListEdit.h"
#include "BoolListEdit.h"
#include "AngleEdit.h"
#include "MultiAngleEdit.h"
#include "AngleListEdit.h"

#include <qpushbutton.h>


class Demo : public QWidget
{
    Q_OBJECT

public:

    // Constructors and destructors
    Demo( QWidget *parent=0, const char *name=0 );

private slots:
    
    void intChanged(int);
    void doubleChanged(double);
    void double2Changed(double);
    void angleChanged(double);
    void intListChanged();
    void doubleListChanged();
    void angleListChanged();
    void stringListChanged();
    void choiceListChanged();
    void boolListChanged();
    void multiAngleChanged(double);
    void disableButtonClicked();

private:

    // Member data
    QPushButton*     _disableButton;
    QPushButton*     _quitButton;

    IntegerEdit*     _int1;
    DoubleEdit*      _double;
    DoubleEdit*      _double2;
    AngleEdit*       _angle;
    BoolListEdit*    _boolList;
    IntegerListEdit* _intList;
    DoubleListEdit*  _doubleList;
    AngleListEdit*   _angleList;
    StringListEdit*  _stringList;
    StringListEdit*  _choiceList;
    MultiAngleEdit*  _multiAngle;
};

#endif

