// -*-C++-*-
//
// File:      SasTaskWindow.cc
// Author:    jbakker
// Generated: Fri Apr  7 21:16:18 MET DST 2000

#include "SasTaskWindow.h"
#include "SasHelpMenu.h"
#include "SasStyleMenu.h"
#include "qmenubar.h"
#include "qstatusbar.h"
#include <qapplication.h>

SasTaskWindow::SasTaskWindow(const char* name) : 
  QMainWindow(0,name,WType_TopLevel), _help(0)
{
    setCaption(name);

    // Make sure we've got a menu bar
   
    _style=new SasStyleMenu(this,"SasTaskStyleMenu");
    _help=new SasHelpMenu(this,"SasTaskHelpMenu");
    menuBar()->insertItem("&Style", _style);
    menuBar()->insertSeparator();
    menuBar()->insertItem("&Help", _help);

    // Make sure we've got a status bar
    statusBar();
}

SasTaskWindow::~SasTaskWindow()
{
  returning();
}

void SasTaskWindow::exec()
{
  // Is this our main widget?
  QWidget* mainWidget=qApp->mainWidget();
  if (! mainWidget) qApp->setMainWidget(this);

  show();
  qApp->enter_loop();

  // Restore whatever was the value
  qApp->setMainWidget(mainWidget);
}

void SasTaskWindow::exit(int)
{
  returning();
}


void SasTaskWindow::quit()
{
  exit(0);
}



QPopupMenu* SasTaskWindow::helpMenu() const
{
  return _help;
}


void SasTaskWindow::closeEvent(QCloseEvent* e)
{
  e->accept();
  returning();
}

void SasTaskWindow::returning()
{
  QWidget::hide();
  qApp->exit_loop();
}
